#ifndef BASIC_HPP
#define BASIC_HPP

//------------------------------------------------------------------------

// Set the name of the application
#define PRODUCT "Safe Document Handling"

// Set the version of the application
#define VERSION "1.0"

// Set the year of creation of the application
#define YEAR "1997"

// Set your email address
#define EMAIL "stephb7@usa.net"

//------------------------------------------------------------------------

inline void InfoBox(char *text)
{
     // Display an information box

     WinMessageBox(HWND_DESKTOP,
                   HWND_DESKTOP,
                   text,
                   "Information",
                   0,
                   MB_OK | MB_INFORMATION | MB_MOVEABLE);
}

//------------------------------------------------------------------------

inline void ErrorBox(char *text)
{
     // Display an error box

     WinMessageBox(HWND_DESKTOP,
                   HWND_DESKTOP,
                   text,
                   "Error",
                   0,
                   MB_OK | MB_ERROR | MB_MOVEABLE);
}

//------------------------------------------------------------------------
// Define user messages

#define WM_VERIFYSHUTDOWN WM_USER

//------------------------------------------------------------------------

#endif // BASIC_HPP
