/*************************************************************************

                  Provides the Load and Save functions
                  -----------------------------------


                 by Stephane Bessette (stephb7@usa.net)
                             Freeware @1997



Class_DocumentHandling


*************************************************************************/

#ifndef CLASS_DOCUMENTHANDLING_HPP
#define CLASS_DOCUMENTHANDLING_HPP

//------------------------------------------------------------------------

#include "Class_SafeDocumentHandling.hpp"

//------------------------------------------------------------------------

class Class_DocumentHandling : public Class_SafeDocumentHandling {
public:
     Class_DocumentHandling ( HWND _hwnd, PSZ szApplicationName ) :
          Class_SafeDocumentHandling ( _hwnd, szApplicationName ) {}
     BOOL Load();
     BOOL Save();
};

#endif // CLASS_DOCUMENTHANDLING_HPP
